[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#879215: marked as done (stretch-pu: package live-config/5.20170112)



Your message dated Sat, 09 Dec 2017 10:46:36 +0000
with message-id <1512816396.1994.30.camel@adam-barratt.org.uk>
and subject line Closing bugs for updates included in stretch point release
has caused the Debian Bug report #879215,
regarding stretch-pu: package live-config/5.20170112
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org
immediately.)


-- 
879215: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=879215
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: release.debian.org
Severity: normal
Tags: stretch
User: release.debian.org@packages.debian.org
Usertags: pu

[ debian-cd/debian-live in copy. ]

Hi,

We've been having issues with KDE live images, and since this popped up
on #debian-cd again, a few days ago, I've looked into backporting a fix
from unstable to stable. The source debdiff is attached, and here's the 
changelog entry:
| live-config (5.20170112+deb9u1) stretch; urgency=medium
| 
|   [ Cyril Brulebois ]
|   * Cherry-pick the change below to improve KDE live images.
| 
|   [ Алексей Шилин ]
|   * Add components/0085-sddm to configure autologin for KDE / Plasma live
|     images. Closes: #865382.
| 
|  -- Cyril Brulebois <kibi@debian.org>  Fri, 20 Oct 2017 16:53:40 +0200

Until this gets reviewed and ACK/NACKed by the release team, I've pushed
a stretch branch to live-config.git, except for the final “dch -r”, in
case something needs fixing before the upload.

Thanks for your attention & time.


KiBi.
diff -Nru live-config-5.20170112/components/0085-sddm live-config-5.20170112+deb9u1/components/0085-sddm
--- live-config-5.20170112/components/0085-sddm	1970-01-01 01:00:00.000000000 +0100
+++ live-config-5.20170112+deb9u1/components/0085-sddm	2017-10-19 13:18:15.000000000 +0200
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+## live-config(7) - System Configuration Components
+## Copyright (C) 2006-2015 Daniel Baumann <mail@daniel-baumann.ch>
+##
+## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+## This is free software, and you are welcome to redistribute it
+## under certain conditions; see COPYING for details.
+
+
+#set -e
+
+Cmdline ()
+{
+	# Reading kernel command line
+	for _PARAMETER in ${LIVE_CONFIG_CMDLINE}
+	do
+		case "${_PARAMETER}" in
+			live-config.noautologin|noautologin)
+				LIVE_CONFIG_NOAUTOLOGIN="true"
+				;;
+
+			live-config.nox11autologin|nox11autologin)
+				LIVE_CONFIG_NOX11AUTOLOGIN="true"
+				;;
+
+			live-config.username=*|username=*)
+				LIVE_USERNAME="${_PARAMETER#*username=}"
+				;;
+		esac
+	done
+}
+
+Init ()
+{
+	# Disables both console and graphical autologin.
+	case "${LIVE_CONFIG_NOAUTOLOGIN}" in
+		true)
+			exit 0
+			;;
+	esac
+
+	# Disables graphical autologin, no matter what mechanism
+	case "${LIVE_CONFIG_NOX11AUTOLOGIN}" in
+		true)
+			exit 0
+			;;
+	esac
+
+	# Checking if package is installed or already configured
+	if [ ! -e /var/lib/dpkg/info/sddm.list ] || \
+	   [ -e /var/lib/live/config/sddm ]
+	then
+		exit 0
+	fi
+
+	echo -n " sddm"
+}
+
+Config ()
+{
+	# autologin
+	if [ -n "${LIVE_USERNAME}" ]
+	then
+		cat > /etc/sddm.conf << EOF
+[Autologin]
+User=${LIVE_USERNAME}
+Session=plasma.desktop
+EOF
+	fi
+
+	# Avoid xinit
+	touch /var/lib/live/config/xinit
+
+	# Creating state file
+	touch /var/lib/live/config/sddm
+}
+
+Cmdline
+Init
+Config
diff -Nru live-config-5.20170112/debian/changelog live-config-5.20170112+deb9u1/debian/changelog
--- live-config-5.20170112/debian/changelog	2017-01-12 18:11:22.000000000 +0100
+++ live-config-5.20170112+deb9u1/debian/changelog	2017-10-20 16:53:40.000000000 +0200
@@ -1,3 +1,14 @@
+live-config (5.20170112+deb9u1) stretch; urgency=medium
+
+  [ Cyril Brulebois ]
+  * Cherry-pick the change below to improve KDE live images.
+
+  [ Алексей Шилин ]
+  * Add components/0085-sddm to configure autologin for KDE / Plasma live
+    images. Closes: #865382.
+
+ -- Cyril Brulebois <kibi@debian.org>  Fri, 20 Oct 2017 16:53:40 +0200
+
 live-config (5.20170112) unstable; urgency=medium
 
   * Team upload.

--- End Message ---
--- Begin Message ---
Version: 9.3

Hi,

Each of the updates referenced in these bugs was included in this
morning's stretch point release. Thanks!

Regards,

Adam

--- End Message ---

Reply to: